Runtime

## org.eclipse.gmf.runtime.emf.core.clipboard
Class CopyingResource.CopyingHelper

    java.lang.Object
      org.eclipse.emf.ecore.xmi.impl.XMLHelperImpl
          org.eclipse.emf.ecore.xmi.impl.XMIHelperImpl
              org.eclipse.gmf.runtime.emf.core.clipboard.CopyingResource.CopyingHelper

All Implemented Interfaces:
  XMLHelper

Enclosing class:
  CopyingResource

protected class CopyingResource.CopyingHelper
extends XMIHelperImpl

Helper implementation for the CopyingResource.

Nested Class Summary

Nested classes inherited from class org.eclipse.emf.ecore.xmi.impl.XMLHelperImpl
`XMLHelperImpl.NamespaceSupport`

Nested classes inherited from class org.eclipse.emf.ecore.xmi.XMLHelper
`XMLHelper.ManyReference`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.xmi.impl.XMLHelperImpl

`allPrefixToURI, anyPrefixesToURIs, anySimpleType, checkForDuplicates, danglingHREFException, deresolve, extendedMetaData, featuresToKinds, INTEGER_DATATYPE_IS_MANY, INTEGER_DATATYPE_SINGLE, INTEGER_IS_MANY_ADD, INTEGER_IS_MANY_MOVE, INTEGER_OTHER, laxFeatureProcessing, mustHavePrefix, namespaceSupport, noNamespacePackage, packageRegistry, packages, prefixesToURIs, processDanglingHREF, resource, resourceURI, seenEmptyStringMapping, urisToPrefixes, xmlMap, xmlSchemaTypePackage`

Fields inherited from interface org.eclipse.emf.ecore.xmi.XMLHelper
`DATATYPE_IS_MANY, DATATYPE_SINGLE, IS_MANY_ADD, IS_MANY_MOVE, OTHER`

Constructor Summary
`CopyingResource.CopyingHelper()`
`CopyingResource.CopyingHelper(XMLResource resource)`

Method Summary
`URI` `deresolve(URI anUri)`
`java.lang.String` `getHREF(EObject obj)`
`protected URI` `getHREF(Resource otherResource, EObject obj)`

Methods inherited from class org.eclipse.emf.ecore.xmi.impl.XMLHelperImpl

`addNSDeclaration, addPrefix, computeFeatureKind, convertToString, createFromString, createObject, createObject, getAnyContentPrefixToURIMapping, getDanglingHREFException, getExtendedMetaData, getFeature, getFeature, getFeatureKind, getFeatureWithoutMap, getID, getIDREF, getJavaEncoding, getName, getNamespaceURI, getNoNamespacePackage, getPrefix, getPrefix, getPrefix, getPrefixes, getPrefixToNamespaceMap, getQName, getQName, getQName, getQName, getQName, getQName, getQName, getQName, getResource, getType, getURI, getURIFragment, getURIFragmentQuery, getValue, getXMLEncoding, getXMLMap, handleDanglingHREF, packages, popContext, popContext, populateNameInfo, populateNameInfo, populateNameInfo, pushContext, recordPrefixToURIMapping, resolve, saveString, setAnySimpleType, setCheckForDuplicates, setExtendedMetaData, setManyReference, setMustHavePrefix, setNoNamespacePackage, setOptions, setPrefixToNamespaceMap, setProcessDanglingHREF, setResource, setValue, setXMLMap, updateQNamePrefix, updateQNameURI`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CopyingResource.CopyingHelper

    public CopyingResource.CopyingHelper()

### CopyingResource.CopyingHelper

    public CopyingResource.CopyingHelper(XMLResource resource)

Method Detail

### deresolve

    public URI deresolve(URI anUri)

  See Also:
    `XMLHelper.deresolve(org.eclipse.emf.common.util.URI)`

### getHREF

    public java.lang.String getHREF(EObject obj)

### getHREF

    protected URI getHREF(Resource otherResource,
                          EObject obj)

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.